Returns details for a specific user.
curl --request GET \
--url https://api.smartermeasure.com/v3/users/{userid} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.smartermeasure.com/v3/users/{userid}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.smartermeasure.com/v3/users/{userid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"UserId": "10000001",
"FirstName": "Alice",
"LastName": "Carter",
"Email": "alice.carter@example.com",
"InternalId": "STU-001",
"AccessCode": "Xk9mPqRt",
"HowManyCourses": [],
"AgeRange": [],
"Gender": [],
"CompletionPercentage": "0",
"DateTimeStarted": "2026-03-20T18:40:08Z",
"DateTimeLastUpdated": [],
"DateTimeCompleted": [],
"Uri": "/users/10000001",
"CustomData": [
{
"QuestionId": "611",
"ParameterId": "coid",
"Response": []
},
{
"QuestionId": "612",
"ParameterId": "dcc",
"Response": []
},
{
"QuestionId": "1972",
"ParameterId": "custom_canvas_user_id",
"Response": []
},
{
"QuestionId": "2172",
"ParameterId": "SessionSid",
"Response": []
}
]
}Users/Assessments
Get User
Get a specific user
GET
/
users
/
{userid}
Returns details for a specific user.
Authorizations
Basic authentication with username and password
Path Parameters
User that should be returned.
Response
200 - application/json
User details.
The user's assessment access (PIN) code.
Percentage of the assessment completed (0-100).
Date the assessment was last updated. Empty array if not yet updated.
Date the assessment was completed. Empty array if not yet completed.
Relative URI for this user.
Custom question responses configured for the account.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
